cURL
curl --request PATCH \ --url http://127.0.0.1:3333/v3/workspaces/{workspaceId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "icon": "<string>", "autoRechargeEnabled": true, "autoRechargeTrigger": 1, "autoRechargeAmount": 501, "billingCurrency": "brl" } '
{ "workspace": { "id": "<string>", "name": "<string>", "icon": "<string>", "plan": "HOBBY", "stripeId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "creditsRecurring": 0, "creditsPurchased": 0, "billingStrategy": "PREPAID", "overageCapAmount": 123, "autoRechargeEnabled": false, "autoRechargeTrigger": 0, "autoRechargeAmount": 0, "billingCurrency": "brl", "resolvedCreditsLimit": 123, "resolvedSeatsLimit": 123, "resolvedStorageLimit": 123 } }
Update a workspace.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
x >= 0
x >= 500
brl
usd
eur
gbp
Default Response
Show child attributes